Subject: Re: [bug#38720] [PATCH] system: linux-container: Recommend guix container

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Dec 2019 23:05:02 +0100

Hi!

Efraim Flashner <[email-masked]> skribis:

> I've been using guix containers on foreign systems to bring some Guixy
> goodness to the unwashed sysadmins out there. When the container starts
> up it displays a message like "Run 'sudo nsenter -a -t 65698' to get a
> shell into it." Sometimes when I try to do that I'll get an error
> message back about the system's nsenter not knowing about the '-a' flag.
> I have found that using a 'guix container' command works well for me.

Oh.  I was conservative and thought that people would rather use
“standard” tools.

> From f2cd59c9eb756e243a5a01e6cd3a6a6e58a02be6 Mon Sep 17 00:00:00 2001
> From: Efraim Flashner <[email-masked]>
> Date: Mon, 23 Dec 2019 16:05:04 +0200
> Subject: [PATCH] system: linux-container: Recommend guix container.
>
> * gnu/system/linux-container.scm (container-script)[script]: Recommend
> using 'guix container' to get a shell inside the running container.

[...]

> -              ;; XXX: Should we recommend 'guix container exec'?  It's more
> -              ;; verbose and doesn't bring much.
> -              (info (G_ "Run 'sudo nsenter -a -t ~a' to get a shell into it.~%")
> +              (info (G_ "Run 'sudo guix container exec ~a /run/current-system/profile/bin/bash --login' to get a shell into it.~%")
>                      pid)

The comment is still correct: “guix container exec” is more verbose.
:-)

Should we change it so that “guix container exec PID” without additional
arguments runs /bin/sh by default, or something like that?

Thanks,
Ludo’.